services:
  _defaults:
    autowire: true

  QSL\BraintreeVZ\Domain\GmvTrackerDomainDecorator:
    class: QSL\BraintreeVZ\Domain\GmvTrackerDomainDecorator
    decorates: XCart\Domain\GmvTrackerDomain

  QSL\BraintreeVZ\LifetimeHook\Hook:
    tags:
      - { name: xcart.lifetime-hook, moduleId: QSL-BraintreeVZ, type: upgrade, method: onUpgradeTo5510, version: '5.5.1.0' }
